namepsace: \Webproject\Console\Tests
paths:
    tests: tests
    output: tests/_output
    data: tests/_data
    support: tests/_support
    envs: tests/_envs
actor_suffix: Tester
extensions:
  enabled:
    - Codeception\Extension\RunFailed # default extension
    - Codeception\Extension\Logger # default extension
    #        - Codeception\Extension\Recorder # default extension
    #        - Codeception\Extension\Teststatistics # https://github.com/redCOMPONENT-COM/teststatistics#teststatistics
    #        - Codeception\Extension\SimpleReporter # https://github.com/redCOMPONENT-COM/teststatistics#teststatistics
    # todo: https://github.com/Kolyunya/codeception-markup-validator
    # todo: https://github.com/mcustiel/codeception-http-mock
settings:
  # name of bootstrap that will be used
  # each bootstrap file should be
  # inside a suite directory.
  bootstrap: _bootstrap.php

  # enable/disable syntax of test files before loading
  # for php < 7 exec('php -l') is used
  # disable if you need to speed up tests execution
  lint: true

  # randomize test order
  shuffle: true

  # by default it's false on Windows
  # use [ANSICON](https://github.com/adoxa/ansicon) to colorize output.
  colors: true

  # Generate XML JUnit report using strict schema
  # Avoid putting additional report fields like steps or scenario names to it
  # Required for XML reports on Jenkins CI
  strict_xml: false

  # Tests (especially functional) can take a lot of memory
  # We set a high limit for them by default.
  memory_limit: 2024M

  # This value controls whether PHPUnit attempts to backup global variables
  # See https://phpunit.de/manual/current/en/appendixes.annotations.html#appendixes.annotations.backupGlobals
  backup_globals: true

  # PHPUnit can be strict about tests that do not test anything
  # See https://phpunit.de/manual/current/en/risky-tests.html#risky-tests.useless-tests
  report_useless_tests: false

  # PHPUnit can be strict about output during tests.
  # See https://phpunit.de/manual/current/en/risky-tests.html#risky-tests.output-during-test-execution
  disallow_test_output: false

  # PHPUnit can be strict about tests that manipulate global state.
  # See https://phpunit.de/manual/current/en/risky-tests.html#risky-tests.global-state-manipulation
  be_strict_about_changes_to_global_state: false

  # Log the incomplete and skipped tests into junit report
  # See https://phpunit.de/manual/current/en/appendixes.configuration.html
  # Section logging > junit
  log_incomplete_skipped: false

reporters:
  xml: Codeception\PHPUnit\Log\JUnit
  html: Codeception\PHPUnit\ResultPrinter\HTML
  report: Codeception\PHPUnit\ResultPrinter\Report
